Ember Data v1.0.0-beta.16.1 Released


Ember Data v1.0.0-beta.16.1 is a bugfix release that fixes 2 regressions reported with Ember Data v1.0.0-beta.16. As always this release can be obtained from npm (for use with ember-cli), rubygems, or bower. The builds are also available as static files at http://emberjs.com/builds.

store.adapterFor('application') Throwing Exceptions

Kamal Fariz Mahyuddin reported issue #2925 where code that attempted to use the store's adapterFor method to access the application adapter was throwing an error with Ember Data v1.0.0-beta.16. This has been fixed in Ember Data v1.0.0-beta.16.1.

Incompatibility with Ember 1.10.0-beta.4

Daniel Sudol reported that v1.0.0-beta.16 was throwing an error when it was loaded alongside Ember 1.10.0-beta.4 due to Ember Data calling the wrong registerHelper method on HTMLBars. This was tracked down to an issue in ember-inflector which comes bundled with Ember Data. The issue has been fixed in v1.5.0 of ember-inflector and Ember Data v1.0.0-beta.16.1 now includes the updated version.

Testing issues with 1.0.0-beta.16

Peter Darrow called out some testing problems with Ember Data v1.0.0-beta.16. This was concluded to be an issue with ember-qunit not properly cleaning up Ember Data's store after tests. Robert Jackson quickly fixed the issue and recommends you update to v0.3.0 of ember-qunit if you experience this issue.

Changelog


comments powered by Disqus